Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.internal
Class ProvidedService<R>

    java.lang.Object
      org.hibernate.service.internal.ProvidedService<R>

    public class ProvidedService<R>

extends Object

A service provided as-is.

Constructor Summary
`ProvidedService(Class<R> serviceRole, R service)`

Method Summary
`R` | `getService()`
`Class<R>` | `getServiceRole()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProvidedService

    public ProvidedService(Class<R> serviceRole,
                           R service)

Method Detail

### getServiceRole

    public Class<R> getServiceRole()

### getService

    public R getService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.